ColorPrimariesType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface ColorPrimariesType

-     public interface ColorPrimariesType

  Implement this interface to access unique identifiers for the color primaries used in the representation of images. This interface is also used to seed the define the extendible enumeration `ColorPrimariesType`. See section 23.1 of the AAF object specification v1.1 for details of the actual color primary values.

  See Also:
    `ExtendibleEnumerationItem`, `TypeDefinitionExtendibleEnumeration`, `PictureDescriptor.getColorPrimaries()`, `Warehouse.lookupExtendibleEnumeration(String)`, `TypeDefinitions.ColorPrimariesType`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `ITU470_PAL` Color primary values as specified in "Recommendation ITU-R BT.470 PAL Color Primaries".
    `static AUID` | `ITU709` Color primary values as specified in "Recommendation ITU-R BT.709 Color Primaries".
    `static AUID` | `SMPTE170M` Color primary values as specified in "SMPTE 170M Color Primaries".

- - ### Field Detail

    - #### SMPTE170M

          @ExtendibleEnumerationItem(target="ColorPrimaries")
          static final AUID SMPTE170M

      Color primary values as specified in "SMPTE 170M Color Primaries". Note that this constant may also be used to identify SMPTE 240M color primaries, which are defined to be the same as SMPTE 170M.

    - #### ITU470_PAL

          @ExtendibleEnumerationItem(target="ColorPrimaries")
          static final AUID ITU470_PAL

      Color primary values as specified in "Recommendation ITU-R BT.470 PAL Color Primaries".

    - #### ITU709

          @ExtendibleEnumerationItem(target="ColorPrimaries")
          static final AUID ITU709

      Color primary values as specified in "Recommendation ITU-R BT.709 Color Primaries". Note that this constant may also be used to identify SMPTE 274M and SMPTE 296M color primaries, which are defined to be the same as ITU-R BT.709.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.